Package org.apache.storm.generated

# Class ExecutorSpecificStats

java.lang.Object
org.apache.storm.thrift.TUnion<ExecutorSpecificStats,ExecutorSpecificStats._Fields>
org.apache.storm.generated.ExecutorSpecificStats

All Implemented Interfaces:
  `Serializable`, `Comparable<ExecutorSpecificStats>`, `org.apache.storm.thrift.TBase<ExecutorSpecificStats,ExecutorSpecificStats._Fields>`, `org.apache.storm.thrift.TSerializable`

@Generated("Autogenerated by Thrift Compiler (0.19.0)") public class ExecutorSpecificStats extends org.apache.storm.thrift.TUnion<ExecutorSpecificStats,ExecutorSpecificStats._Fields>

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `ExecutorSpecificStats._Fields`
  The set of fields this struct contains, along with convenience methods for finding and manipulating them.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Map<ExecutorSpecificStats._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>`
  `metaDataMap`

  ### Fields inherited from class org.apache.storm.thrift.TUnion

  `setField_, value_`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExecutorSpecificStats()`
  `ExecutorSpecificStats(ExecutorSpecificStats other)`
  `ExecutorSpecificStats(ExecutorSpecificStats._Fields setField, Object value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ExecutorSpecificStats`
  `bolt(BoltStats value)`
  `protected void`
  `checkType(ExecutorSpecificStats._Fields setField, Object value)`
  `int`
  `compareTo(ExecutorSpecificStats other)`
  `ExecutorSpecificStats`
  `deepCopy()`
  `protected ExecutorSpecificStats._Fields`
  `enumForId(short id)`
  `boolean`
  `equals(Object other)`
  `boolean`
  `equals(ExecutorSpecificStats other)`
  `ExecutorSpecificStats._Fields`
  `fieldForId(int fieldId)`
  `BoltStats`
  `get_bolt()`
  `SpoutStats`
  `get_spout()`
  `protected org.apache.storm.thrift.protocol.TField`
  `getFieldDesc(ExecutorSpecificStats._Fields setField)`
  `protected org.apache.storm.thrift.protocol.TStruct`
  `getStructDesc()`
  `int`
  `hashCode()`
  `boolean`
  `is_set_bolt()`
  `boolean`
  `is_set_spout()`
  `void`
  `set_bolt(BoltStats value)`
  `void`
  `set_spout(SpoutStats value)`
  `static ExecutorSpecificStats`
  `spout(SpoutStats value)`
  `protected Object`
  `standardSchemeReadValue(org.apache.storm.thrift.protocol.TProtocol iprot, org.apache.storm.thrift.protocol.TField field)`
  `protected void`
  `standardSchemeWriteValue(org.apache.storm.thrift.protocol.TProtocol oprot)`
  `protected Object`
  `tupleSchemeReadValue(org.apache.storm.thrift.protocol.TProtocol iprot, short fieldID)`
  `protected void`
  `tupleSchemeWriteValue(org.apache.storm.thrift.protocol.TProtocol oprot)`

  ### Methods inherited from class org.apache.storm.thrift.TUnion

  `clear, getFieldValue, getFieldValue, getFieldValue, getSetField, isSet, isSet, isSet, read, setFieldValue, setFieldValue, toString, write`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### metaDataMap

    public static final Map<ExecutorSpecificStats._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

- ## Constructor Details

  - ### ExecutorSpecificStats

    public ExecutorSpecificStats()

  - ### ExecutorSpecificStats

    public ExecutorSpecificStats(ExecutorSpecificStats._Fields setField, Object value)

  - ### ExecutorSpecificStats

    public ExecutorSpecificStats(ExecutorSpecificStats other)

- ## Method Details

  - ### deepCopy

    public ExecutorSpecificStats deepCopy()

  - ### bolt

    public static ExecutorSpecificStats bolt(BoltStats value)

  - ### spout

    public static ExecutorSpecificStats spout(SpoutStats value)

  - ### checkType

    protected void checkType(ExecutorSpecificStats._Fields setField, Object value) throws ClassCastException
    Specified by:
      `checkType` in class `org.apache.storm.thrift.TUnion<ExecutorSpecificStats,ExecutorSpecificStats._Fields>`
    Throws:
      `ClassCastException`

  - ### standardSchemeReadValue

    protected Object standardSchemeReadValue(org.apache.storm.thrift.protocol.TProtocol iprot, org.apache.storm.thrift.protocol.TField field) throws org.apache.storm.thrift.TException
    Specified by:
      `standardSchemeReadValue` in class `org.apache.storm.thrift.TUnion<ExecutorSpecificStats,ExecutorSpecificStats._Fields>`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### standardSchemeWriteValue

    protected void standardSchemeWriteValue(org.apache.storm.thrift.protocol.TProtocol oprot) throws org.apache.storm.thrift.TException
    Specified by:
      `standardSchemeWriteValue` in class `org.apache.storm.thrift.TUnion<ExecutorSpecificStats,ExecutorSpecificStats._Fields>`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### tupleSchemeReadValue

    protected Object tupleSchemeReadValue(org.apache.storm.thrift.protocol.TProtocol iprot, short fieldID) throws org.apache.storm.thrift.TException
    Specified by:
      `tupleSchemeReadValue` in class `org.apache.storm.thrift.TUnion<ExecutorSpecificStats,ExecutorSpecificStats._Fields>`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### tupleSchemeWriteValue

    protected void tupleSchemeWriteValue(org.apache.storm.thrift.protocol.TProtocol oprot) throws org.apache.storm.thrift.TException
    Specified by:
      `tupleSchemeWriteValue` in class `org.apache.storm.thrift.TUnion<ExecutorSpecificStats,ExecutorSpecificStats._Fields>`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getFieldDesc

    protected org.apache.storm.thrift.protocol.TField getFieldDesc(ExecutorSpecificStats._Fields setField)
    Specified by:
      `getFieldDesc` in class `org.apache.storm.thrift.TUnion<ExecutorSpecificStats,ExecutorSpecificStats._Fields>`

  - ### getStructDesc

    protected org.apache.storm.thrift.protocol.TStruct getStructDesc()
    Specified by:
      `getStructDesc` in class `org.apache.storm.thrift.TUnion<ExecutorSpecificStats,ExecutorSpecificStats._Fields>`

  - ### enumForId

    protected ExecutorSpecificStats._Fields enumForId(short id)
    Specified by:
      `enumForId` in class `org.apache.storm.thrift.TUnion<ExecutorSpecificStats,ExecutorSpecificStats._Fields>`

  - ### fieldForId

    public ExecutorSpecificStats._Fields fieldForId(int fieldId)

  - ### get_bolt

    public BoltStats get_bolt()

  - ### set_bolt

    public void set_bolt(BoltStats value)

  - ### get_spout

    public SpoutStats get_spout()

  - ### set_spout

    public void set_spout(SpoutStats value)

  - ### is_set_bolt

    public boolean is_set_bolt()

  - ### is_set_spout

    public boolean is_set_spout()

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### equals

    public boolean equals(ExecutorSpecificStats other)

  - ### compareTo

    public int compareTo(ExecutorSpecificStats other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`